Git-Url: 
http://git.frugalware.org/gitweb/gitweb.cgi?p=multilib.git;a=commitdiff;h=93640732adf95ff1e913df33bd5393e2ce3ff1bd

commit 93640732adf95ff1e913df33bd5393e2ce3ff1bd
Author: Miklos Vajna <vmik...@frugalware.org>
Date:   Sun May 1 14:27:52 2011 +0200

systemd-26-1-i686

- version bump

diff --git a/source/base/systemd/FrugalBuild b/source/base/systemd/FrugalBuild
index f2c18bc..9316acf 100644
--- a/source/base/systemd/FrugalBuild
+++ b/source/base/systemd/FrugalBuild
@@ -11,8 +11,8 @@ else
fi

pkgname=systemd
-pkgver=25
-pkgrel=6
+pkgver=26
+pkgrel=1
pkgdesc="A System and Service Manager"
url="http://www.freedesktop.org/wiki/Software/systemd";
depends=('dbus' 'udev' 'pam' 'coreutils' 'libcap' 'sysvinit-initscripts' 
'sysvinit-tools')
@@ -21,7 +21,7 @@ options=('scriptlet')
up2date="Flasttar http://www.freedesktop.org/software/$pkgname";
source=(http://www.freedesktop.org/software/$pkgname/$pkgname-$pkgver.tar.bz2 \
console.conf enable-plymouth.diff)
-sha1sums=('24981d944b52337741ed1144ded54dd06c18ea3b' \
+sha1sums=('901486904aeb1d8a3ae20e5971afd9b42b847450' \
'abaa5c83d5adf2c5be188ce0de488bfa2b5a4505' \
'18c56ec2f7290f5dd75a20ab9a786aeb2cb09de1')

@@ -78,6 +78,9 @@ build()
#build systemd
Fcd
Fsed 'agetty' 'frugalwaregetty' units/getty@.service.m4
+       # fix name of local.service
+       Fsed 'rc-local.service' 'local.service' 
units/plymouth-quit-wait.service \
+               units/plymouth-quit.service
# we want some output from systemd before the login prompt, even
# if we use 'quiet'
Fsed '"quiet"' '"nosystemd"' src/main.c
diff --git a/source/base/systemd/systemd.install 
b/source/base/systemd/systemd.install
index e0a895b..a6b0943 100644
--- a/source/base/systemd/systemd.install
+++ b/source/base/systemd/systemd.install
@@ -17,7 +17,7 @@ post_install() {
getty@.service \
getty.target \
remote-fs.target \
-                hwclock-load.service
+                hwclock-load.service > /dev/null 2>&1 || :
#now /etc/mtab is a symlink
rm /etc/mtab
ln -sf /proc/self/mounts /etc/mtab
_______________________________________________
Frugalware-git mailing list
Frugalware-git@frugalware.org
http://frugalware.org/mailman/listinfo/frugalware-git

Reply via email to